//
//  WDSpeedResult.h
//  IWangDingSDK_SCSP
//
//  Created by maoyuxiang on 2019/4/16.
//  Copyright © 2019年 iwangding. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface WDSpeedResult : NSObject

/** 最小速率,单位B/s*/
@property(assign, nonatomic) NSInteger minSpeed;

/** 平均速率,单位B/s*/
@property(assign, nonatomic) NSInteger avgSpeed;

/** 最大速率,单位B/s*/
@property(assign, nonatomic) NSInteger maxSpeed;

/** 源数据,单位B/s*/
@property(strong, nonatomic) NSArray *speedList;

/**
 本地测速数据的初始化

 @param ignoreCount 忽略的次数
 @param speedList 原始测速结果数组
 @return WDSpeedResult对象
 */
- (instancetype)initWithIgnoreCount:(NSInteger)ignoreCount speedList:(NSMutableArray *)speedList;

/**
 提速之后测速数据的初始化

 @param speedList 提速之后的测速结果数组
 @return WDSpeedResult对象
 */
- (instancetype)initWithOptSpeedList:(NSMutableArray *)speedList;

@end

NS_ASSUME_NONNULL_END




